Bug 1735794 - [RFE] sosreport should capture /sys/kernel/kexec_crash_loaded for kdump validation
Summary: [RFE] sosreport should capture /sys/kernel/kexec_crash_loaded for kdump valid...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sos
Version: 7.6
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: rc
: ---
Assignee: Pavel Moravec
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-01 12:51 UTC by Rohit Keshri
Modified: 2021-03-12 17:51 UTC (History)
4 users (show)

Fixed In Version: sos-3.8-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-12 17:51:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github sosreport sos pull 1742 0 None closed [kdump] collect kexec_crash_* on all distributions 2020-07-07 15:51:35 UTC

Comment 3 Pavel Moravec 2019-08-01 13:19:32 UTC
My understanding is sosreport should collect:

/sys/kernel/kexec_crash_loaded
/sys/kernel/kexec_crash_size

Rohit, will you be able to test a package with the fix (once available)?

Comment 4 Rohit Keshri 2019-08-03 07:08:33 UTC
(In reply to Pavel Moravec from comment #3)
> My understanding is sosreport should collect:
> 
> /sys/kernel/kexec_crash_loaded
> /sys/kernel/kexec_crash_size
> 
> Rohit, will you be able to test a package with the fix (once available)?

yes sure.

Comment 5 Pavel Moravec 2019-09-04 19:34:30 UTC
FYI the upstream PR was merged and backported to RHEL7.8 candidate. If you want to test it, please use below repo (or download the package from brew):



A yum repository for the build of sos-3.8-1.el7 (task 23200819) is available at:

http://brew-task-repos.usersys.redhat.com/repos/official/sos/3.8/1.el7/

You can install the rpms locally by putting this .repo file in your /etc/yum.repos.d/ directory:

http://brew-task-repos.usersys.redhat.com/repos/official/sos/3.8/1.el7/sos-3.8-1.el7.repo

RPMs and build logs can be found in the following locations:
http://brew-task-repos.usersys.redhat.com/repos/official/sos/3.8/1.el7/noarch/

The full list of available rpms is:
http://brew-task-repos.usersys.redhat.com/repos/official/sos/3.8/1.el7/noarch/sos-3.8-1.el7.src.rpm
http://brew-task-repos.usersys.redhat.com/repos/official/sos/3.8/1.el7/noarch/sos-3.8-1.el7.noarch.rpm

Build output will be available for the next 13 days.


Note You need to log in before you can comment on or make changes to this bug.